#include stdin.hh"

void StdinType::Speak(int fd)
{
    const Datatype *buf = SendQueue.GetBegin();
    unsigned        len = SendQueue.GetSize();
    
    int status = write(fd, buf, len);
    if(status < 0)
    {
        /* FIXME: What should we do instead? */
        perror("write");
        return;
    }
    
    if(status > 0)
        SendQueue.Eat(status);
}

void StdinType::Read(int fd)
{
    /* TODO: Read packet from stdin */
}
